<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePagesTable extends TableMigration
{
    public function tableName(): string
    {
        return 'pages';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedBigInteger('eventId');
            $table->string('title');
            $table->text('modules')->default('[]');
            $table->boolean('visible')->default(true);
            $table->boolean('enabled')->default(true);
            $table->boolean('showInDashboard')->default(true);
            $table->integer('order')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
