<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\HTML;
use Drp\NativeEventApp\Test\TestCase;

class HTMLTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $content = '<div class="test-class">test</div>';
        $html = HTML::make($content);

        $serializedModule = json_encode([$html]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(HTML::class, $module);
        $this->assertEquals($content, $module->content);
    }
}
